Skip to main content
GET
/
v2
/
lists
/
{listId}
/
list-entries
Get all List Entries on a List
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/list-entries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "type": "company",
      "listId": 1,
      "entity": {
        "id": 1,
        "name": "Horizon Technologies",
        "domain": "horizontech.com",
        "domains": [
          "horizontech.com"
        ],
        "isGlobal": true,
        "fields": [
          {
            "id": "affinity-data-description",
            "name": "Description",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "text",
              "data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
            }
          },
          {
            "id": "affinity-data-industry",
            "name": "Industry",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text-multi",
              "data": [
                "Healthcare",
                "Fintech",
                "SaaS"
              ],
              "totalCount": 3
            }
          },
          {
            "id": "affinity-data-investment-stage",
            "name": "Investment Stage",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text",
              "data": "Public Markets"
            }
          },
          {
            "id": "affinity-data-investors",
            "name": "Investors",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text-multi",
              "data": [
                "Alex Rivera",
                "Taylor Wong"
              ],
              "totalCount": 2
            }
          },
          {
            "id": "affinity-data-last-funding-amount",
            "name": "Last Funding Amount (USD)",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 100000000
            }
          },
          {
            "id": "affinity-data-last-funding-date",
            "name": "Last Funding Date",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "datetime",
              "data": "2023-01-01T00:00:00Z"
            }
          },
          {
            "id": "affinity-data-linkedin-url",
            "name": "LinkedIn URL",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "text",
              "data": "https://linkedin.com/company/horizontech"
            }
          },
          {
            "id": "affinity-data-location",
            "name": "Location",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "location",
              "data": {
                "streetAddress": null,
                "city": "Fairfield",
                "state": "New Jersey",
                "country": "United States",
                "continent": null
              }
            }
          },
          {
            "id": "affinity-data-number-of-employees",
            "name": "Number of Employees",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 3990
            }
          },
          {
            "id": "affinity-data-total-funding-amount",
            "name": "Total Funding Amount (USD)",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 90000000
            }
          },
          {
            "id": "affinity-data-year-founded",
            "name": "Year Founded",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 1952
            }
          }
        ]
      },
      "creatorId": 1,
      "createdAt": "2023-01-01T00:00:00Z"
    },
    {
      "id": 2,
      "type": "company",
      "listId": 1,
      "entity": {
        "id": 2,
        "name": "Crestwood Capital",
        "domain": "crestwoodcap.com",
        "domains": [
          "crestwoodcap.com"
        ],
        "isGlobal": true,
        "fields": [
          {
            "id": "affinity-data-description",
            "name": "Description",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "text",
              "data": "Crestwood Capital is a leading private equity firm focused on technology and growth-stage investments."
            }
          },
          {
            "id": "affinity-data-industry",
            "name": "Industry",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text-multi",
              "data": [
                "Pharmaceuticals",
                "Biotechnology",
                "Defense",
                "Security",
                "Chemicals",
                "Research",
                "Technology",
                "Healthcare"
              ],
              "totalCount": 8
            }
          },
          {
            "id": "affinity-data-investment-stage",
            "name": "Investment Stage",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text",
              "data": "Public Markets"
            }
          },
          {
            "id": "affinity-data-investors",
            "name": "Investors",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "filterable-text-multi",
              "data": [
                "Jordan Lee",
                "Michael Torres"
              ],
              "totalCount": 2
            }
          },
          {
            "id": "affinity-data-last-funding-amount",
            "name": "Last Funding Amount (USD)",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 100000000
            }
          },
          {
            "id": "affinity-data-last-funding-date",
            "name": "Last Funding Date",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "datetime",
              "data": "2023-01-01T00:00:00Z"
            }
          },
          {
            "id": "affinity-data-linkedin-url",
            "name": "LinkedIn URL",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "text",
              "data": "https://linkedin.com/company/crestwoodcap"
            }
          },
          {
            "id": "affinity-data-location",
            "name": "Location",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "location",
              "data": {
                "streetAddress": null,
                "city": "Chicago",
                "state": "Illinois",
                "country": "United States",
                "continent": null
              }
            }
          },
          {
            "id": "affinity-data-number-of-employees",
            "name": "Number of Employees",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 12000
            }
          },
          {
            "id": "affinity-data-total-funding-amount",
            "name": "Total Funding Amount (USD)",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 60000000
            }
          },
          {
            "id": "affinity-data-year-founded",
            "name": "Year Founded",
            "type": "enriched",
            "enrichmentSource": "affinity-data",
            "value": {
              "type": "number",
              "data": 1968
            }
          }
        ]
      },
      "creatorId": 1,
      "createdAt": "2023-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/lists/1/list-entries?fieldTypes=enriched&cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/lists/1/list-entries?fieldTypes=enriched&cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

fieldIds
string[]

Field IDs for which to return field data

Example:
["field-1"]
fieldTypes
enum<string>[]

Field Types for which to return field data

Available options:
enriched,
global,
list,
relationship-intelligence

Response

OK

ListEntryWithEntityPaged model

data
(CompanyListEntry · object | OpportunityListEntry · object | PersonListEntry · object)[] | null
required

A page of ListEntryWithEntity results

Maximum array length: 100
Example:
{
"id": 1,
"type": "company",
"listId": 1,
"createdAt": "2023-01-01T00:00:00Z",
"creatorId": 1,
"entity": {
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": ["horizontech.com"],
"isGlobal": true,
"fields": []
}
}
pagination
Pagination · object
required